]> git.pld-linux.org Git - packages/rsync.git/commitdiff
- I didn't forgot - I just wanted to test it. works :)
authorPaweł Gołaszewski <blues@pld-linux.org>
Thu, 16 Jan 2003 10:39:01 +0000 (10:39 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
Changed files:
    rsync.init -> 1.1
    rsync.sysconfig -> 1.1

rsync.init [new file with mode: 0644]
rsync.sysconfig [new file with mode: 0644]

diff --git a/rsync.init b/rsync.init
new file mode 100644 (file)
index 0000000..fca3461
--- /dev/null
@@ -0,0 +1,59 @@
+#!/bin/sh
+#
+# rsyncd       This shell script takes care of starting and stopping rsyncd
+#
+# chkconfig:    345 90 25
+# description: rsync daemon
+# processname: rsync
+#
+# pidfile:     /var/run/rsyncd.pid
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# Source networking configuration.
+. /etc/sysconfig/network
+
+# Check that networking is up.
+if is_no "${NETWORKING}"; then
+       msg_network_down rsyncd
+       exit 1
+fi
+
+. /etc/sysconfig/rsyncd
+
+# See how we were called.
+case "$1" in
+  start)
+        # Start daemons.
+       if [ ! -f /var/lock/subsys/rsyncd ]; then
+               msg_starting rsyncd
+               daemon rsync --daemon
+               RETVAL=$?
+               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/rsyncd
+       else
+               msg_already_running rsyncd
+       fi
+       ;;
+  stop)
+       # Stop daemons.
+       if [ -f /var/lock/subsys/rsyncd ]; then
+               msg_stopping rsyncd
+               killproc rsync
+               rm -f /var/lock/subsys/rsyncd >/dev/null 2>&1
+       else
+               msg_not_running rsyncd
+               exit 1
+       fi
+       ;;
+  restart)
+       $0 stop
+       $0 start
+       ;;
+  status)
+       status rsyncd
+       ;;
+  *)
+       msg_usage "$0 {start|stop|restart|status}"
+       exit 1
+esac
diff --git a/rsync.sysconfig b/rsync.sysconfig
new file mode 100644 (file)
index 0000000..70ae0ba
--- /dev/null
@@ -0,0 +1,5 @@
+# Rsync startup configuration file
+
+# Try to define nice-level for running rsyncd
+SERVICE_RUN_NICE_LEVEL="+5"
+
This page took 0.039263 seconds and 4 git commands to generate.